SdFat: ExFatPartition Class Reference

SdFat

Public Member Functions | Friends | List of all members
ExFatPartition Class Reference

Access exFat partitions on raw file devices. More...

`#include <ExFatPartition.h>`

Inheritance diagram for ExFatPartition:
[legend]

## Public Member Functions
uint32_t | bytesPerCluster () const
uint8_t | bytesPerClusterShift () const
uint16_t | bytesPerSector () const
uint8_t | bytesPerSectorShift () const
uint8_t * | cacheClear ()
uint32_t | clusterCount () const
uint32_t | clusterHeapStartSector () const
uint32_t | fatLength () const
uint32_t | fatStartSector () const
uint8_t | fatType () const
uint32_t | freeClusterCount ()
bool | init (BlockDevice *dev, uint8_t part)
bool | isBusy ()
uint32_t | rootDirectoryCluster () const
uint32_t | rootLength ()
uint32_t | sectorsPerCluster () const
uint8_t | sectorsPerClusterShift () const

## Friends
class | ExFatFile

## Detailed Description

Access exFat partitions on raw file devices.

## Member Function Documentation

## ◆ bytesPerCluster()

uint32_t ExFatPartition::bytesPerCluster | ( |  | ) | const
| inline

Returns
  the number of bytes in a cluster.

## ◆ bytesPerClusterShift()

uint8_t ExFatPartition::bytesPerClusterShift | ( |  | ) | const
| inline

Returns
  the power of two for bytesPerCluster.

## ◆ bytesPerSector()

uint16_t ExFatPartition::bytesPerSector | ( |  | ) | const
| inline

Returns
  the number of bytes in a sector.

## ◆ bytesPerSectorShift()

uint8_t ExFatPartition::bytesPerSectorShift | ( |  | ) | const
| inline

Returns
  the power of two for bytesPerSector.

## ◆ cacheClear()

uint8_t* ExFatPartition::cacheClear | ( |  | ) |
| inline

Clear the cache and returns a pointer to the cache. Not for normal apps.

Returns
  A pointer to the cache buffer or zero if an error occurs.

## ◆ clusterCount()

uint32_t ExFatPartition::clusterCount | ( |  | ) | const
| inline

Returns
  the cluster count for the partition.

## ◆ clusterHeapStartSector()

uint32_t ExFatPartition::clusterHeapStartSector | ( |  | ) | const
| inline

Returns
  the cluster heap start sector.

## ◆ fatLength()

uint32_t ExFatPartition::fatLength | ( |  | ) | const
| inline

Returns
  the FAT length in sectors

## ◆ fatStartSector()

uint32_t ExFatPartition::fatStartSector | ( |  | ) | const
| inline

Returns
  the FAT start sector number.

## ◆ fatType()

uint8_t ExFatPartition::fatType | ( |  | ) | const
| inline

Returns
  Type FAT_TYPE_EXFAT for exFAT partition or zero for error.

## ◆ freeClusterCount()

uint32_t ExFatPartition::freeClusterCount | ( |  | ) |

Returns
  the free cluster count.

## ◆ init()

bool ExFatPartition::init | ( | BlockDevice * | dev,
|  | uint8_t | part
| ) |  |

Initialize a exFAT partition.

Parameters

  [in] | dev | The blockDevice for the partition.
  [in] | part | The partition to be used. Legal values for part are 1-4 to use the corresponding partition on a device formatted with a MBR, Master Boot Record, or zero if the device is formatted as a super floppy with the FAT boot sector in sector zero.

Returns
  true for success or false for failure.

## ◆ isBusy()

bool ExFatPartition::isBusy | ( |  | ) |
| inline

Check for BlockDevice busy.

Returns
  true if busy else false.

## ◆ rootDirectoryCluster()

uint32_t ExFatPartition::rootDirectoryCluster | ( |  | ) | const
| inline

Returns
  the root directory start cluster number.

## ◆ rootLength()

uint32_t ExFatPartition::rootLength | ( |  | ) |

Returns
  the root directory length.

## ◆ sectorsPerCluster()

uint32_t ExFatPartition::sectorsPerCluster | ( |  | ) | const
| inline

Returns
  the number of sectors in a cluster.

## ◆ sectorsPerClusterShift()

uint8_t ExFatPartition::sectorsPerClusterShift | ( |  | ) | const
| inline

Returns
  the power of two for sectors per cluster.

## Friends And Related Function Documentation

## ◆ ExFatFile

friend class ExFatFile
| friend

ExFatFile allowed access to private members.

The documentation for this class was generated from the following files:

- ArduinoSdFat/libraries/SdFat/src/ExFatLib/ExFatPartition.h
- ArduinoSdFat/libraries/SdFat/src/ExFatLib/ExFatPartition.cpp